Power on a cloud instance

POST/v1/cloud_computing/instances/{instance_id}/switch_on

To power an instance on, send a POST request to /v1/cloud_computing/instances/{instance_id}/switch_on with an ID in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
instance_id
string

A unique identifier of a cloud instance.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/cloud_computing/instances/46dBXa79/switch_on"
{  "id": "46dBXa79",  "openstack_uuid": "f6d396d4-8dcc-4e98-bf53-169e43674ccf",  "status": "SWITCHING_ON",  "name": "name497",  "region_id": 0,  "region_code": "NL01",  "flavor_id": "101",  "flavor_name": "SSD.1",  "image_id": "f6c9c585-627a-4113-af8c-a475f5f73a21",  "image_name": null,  "public_ipv4_address": "201.72.127.237",  "private_ipv4_address": null,  "local_ipv4_address": "174.128.144.140",  "public_ipv6_address": null,  "ipv6_enabled": false,  "gpn_enabled": false,  "created_at": "2025-12-31T00:00:00Z",  "updated_at": "2025-12-31T00:00:00Z",  "backup_copies": 0,  "public_port_blocked": false,  "labels": {}}